# lambda-watcher

This simple utility allows you to edit a Lambda function from your local machine and upload code changes directly to AWS using a file watcher.

The first thing it does is download, and unzip the source code locally, then it watches for file changes. When a file change occurs, it zips up the folder, uploads the zip file to an S3 bucket, and updates the Lambda function.

The function is downloaded to the current folder as `<function-name>.zip` and unzipped to a folder called `<function-name>`. The function is also uploaded to S3 as `s3://<bucket-name>/<function-name>.zip`.

Installation:

<pre>
npm install -g dnewmon/lamda-watcher
</pre>

Usage command:

<pre>
lambda-watch --s3-bucket=&lt;bucket&gt; --function-name=&lt;function&gt; \
    [--aws-region=&lt;region&gt;] [--aws-profile=&lt;name&gt;] [--change-delay=5]
    [--revision-id=$LATEST]
</pre>

`--change-delay` is the number of seconds to wait before deploying a change.  This reduces unnessasary updates.
`--revision-id` allows you to specify a version of the function to update. Typically $LATEST can be used to 
update just the latest version of the function.
